<div class="container-fluid">
    <div class="row">
        <nav id="sidebarMenu" class="col-md-3 col-lg-2 d-lg-block bg-dark-custom sidebar collapse border-right-black">
            <div class="sidebar-sticky pt-md-5">
                <ul class="nav flex-column">
                    <li class="nav-item">
                        <a href="{{ path('home') }}" class="nav-link">Acceuil</a>
                    </li>
                    {% if security.isAuthenticated() == false %}
                        <li class="nav-item d-lg-none">
                            <a href="{{ path('login') }}" class="nav-link">Connexion</a>
                        </li>
                    {% else %}
                        <li class="nav-item d-lg-none">
                            <a href="{{ path('user_profile_show') }}" class="nav-link">Mon profil</a>
                        </li>
                        <li class="nav-item d-lg-none">
                            <a href="{{ path('logout') }}" class="nav-link">Déconnexion</a>
                        </li>
                    {% endif %}
                    {% if security.isGranted('ROLE_USER') %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{ path('post_new') }}">
                                Nouvel article
                            </a>
                        </li>
                    {% endif %}
                    <li class="nav-item">
                        <a class="nav-link" href="{{ path('contact_me') }}">
                            Contact
                        </a>
                    </li>
                </ul>
                <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-light">
                    <span>Catégories</span>
                </h6>
                <ul class="nav flex-column mb-2">
                    {% for category in submenu_service.getCategories %}
                        <li class="nav-item">
                            <a class="nav-link" href="{{ path('home') ~ '?category=' ~ category.id }}">
                                {{ category.label }}
                            </a>
                        </li>
                    {% endfor %}
                </ul>
                {% if security.isGranted('ROLE_ADMIN') %}
                    <h6 class="sidebar-heading d-flex justify-content-between align-items-center px-3 mt-4 mb-1 text-light">
                        <span>Administration</span>
                    </h6>
                    <ul class="nav flex-column mb-2">
                        <li class="nav-item">
                            <a href="{{ path('admin_post_list') }}" class="nav-link border-bottom-dark">Articles</a>
                        </li>
                        <li class="nav-item">
                            <a href="{{ path('admin_category_list') }}"
                               class="nav-link border-bottom-dark">Catégories</a>
                        </li>
                    </ul>
                {% endif %}
            </div>
        </nav>
    </div>
</div>